Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class DIDLContent

    java.lang.Object
      org.teleal.cling.support.model.DIDLContent

    public class DIDLContent

extends Object

Author:
  Christian Bauer

Field Summary
`protected List<Container>` | `containers`
`static String` | `DESC_WRAPPER_NAMESPACE_URI`
`protected List<DescMeta>` | `descMetadata`
`protected List<Item>` | `items`
`static String` | `NAMESPACE_URI`

Constructor Summary
`DIDLContent()`

Method Summary
`DIDLContent` | `addContainer(Container container)`
`DIDLContent` | `addDescMetadata(DescMeta descMetadata)`
`DIDLContent` | `addItem(Item item)`
`List<Container>` | `getContainers()`
`List<DescMeta>` | `getDescMetadata()`
`Container` | `getFirstContainer()`
`List<Item>` | `getItems()`
`void` | `replaceGenericContainerAndItems()`
`protected List<Container>` | `replaceGenericContainers(List<Container> genericContainers)`
`protected List<Item>` | `replaceGenericItems(List<Item> genericItems)`
`void` | `setContainers(List<Container> containers)`
`void` | `setDescMetadata(List<DescMeta> descMetadata)`
`void` | `setItems(List<Item> items)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

### DESC_WRAPPER_NAMESPACE_URI

    public static final String DESC_WRAPPER_NAMESPACE_URI

See Also:
  Constant Field Values

### containers

    protected List<Container> containers

### items

    protected List<Item> items

### descMetadata

    protected List<DescMeta> descMetadata

Constructor Detail

### DIDLContent

    public DIDLContent()

Method Detail

### getFirstContainer

    public Container getFirstContainer()

### addContainer

    public DIDLContent addContainer(Container container)

### getContainers

    public List<Container> getContainers()

### setContainers

    public void setContainers(List<Container> containers)

### addItem

    public DIDLContent addItem(Item item)

### getItems

    public List<Item> getItems()

### setItems

    public void setItems(List<Item> items)

### addDescMetadata

    public DIDLContent addDescMetadata(DescMeta descMetadata)

### getDescMetadata

    public List<DescMeta> getDescMetadata()

### setDescMetadata

    public void setDescMetadata(List<DescMeta> descMetadata)

### replaceGenericContainerAndItems

    public void replaceGenericContainerAndItems()

### replaceGenericItems

    protected List<Item> replaceGenericItems(List<Item> genericItems)

### replaceGenericContainers

    protected List<Container> replaceGenericContainers(List<Container> genericContainers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.